DELIMITER $$
DROP PROCEDURE IF EXISTS `stp_validarAutorizacion`$$
CREATE DEFINER=`root`@`localhost` PROCEDURE `stp_validarAutorizacion`(
	in_usuario VARCHAR(40),
	in_password VARCHAR(40),
	in_permiso VARCHAR(80)
)
    COMMENT 'Verifica usuario con contraseña y permiso para la autorización'
BEGIN
	SELECT u.id_user
	FROM tbl_usuarios AS u
	WHERE BINARY user_name = in_usuario
		AND BINARY user_pass = in_password
		AND INSTR(u.permisos, in_permiso) > 0
		AND u.activo = 1;
END$$
DELIMITER ;

